io.vertx.rxjava3.core.datagram

## Class DatagramPacket

- java.lang.Object
- - io.vertx.rxjava3.core.datagram.DatagramPacket

-     public class DatagramPacket
      extends Object

  A received datagram packet (UDP) which contains the data and information about the sender of the data itself.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<DatagramPacket>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatagramPacket(DatagramPacket delegate)`
    `DatagramPacket(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Buffer` | `data()` Returns the data of the `DatagramPacket`
    `boolean` | `equals(Object o)`
    `DatagramPacket` | `getDelegate()`
    `int` | `hashCode()`
    `static DatagramPacket` | `newInstance(DatagramPacket arg)`
    `SocketAddress` | `sender()` Returns the `SocketAddress` of the sender that sent this `DatagramPacket`.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<DatagramPacket> __TYPE_ARG

  - ### Constructor Detail

    - #### DatagramPacket

          public DatagramPacket(DatagramPacket delegate)

    - #### DatagramPacket

          public DatagramPacket(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public DatagramPacket getDelegate()

    - #### sender

          public SocketAddress sender()

      Returns the `SocketAddress` of the sender that sent this `DatagramPacket`.
      Returns:
        the address of the sender

    - #### data

          public Buffer data()

      Returns the data of the `DatagramPacket`
      Returns:
        the data

    - #### newInstance

          public static DatagramPacket newInstance(DatagramPacket arg)

Copyright © 2024 Eclipse. All rights reserved.